summaryrefslogtreecommitdiffstats
path: root/assets/hooks
diff options
context:
space:
mode:
authormakefu <root@pigstarter.de>2013-12-30 14:34:38 +0100
committermakefu <root@pigstarter.de>2013-12-30 14:34:38 +0100
commit08aa5e406a1f7b39182e79ea4eb7fabf7d61eaa3 (patch)
tree2db1a54f336167cc3cc3d5f74c77d029fe7e7470 /assets/hooks
parent133e49566c74f1d21c28536ed31d1514725ed49b (diff)
//Cancer -> //
because that is what painload is all about
Diffstat (limited to 'assets/hooks')
-rwxr-xr-xassets/hooks/pre-commit8
1 files changed, 8 insertions, 0 deletions
diff --git a/assets/hooks/pre-commit b/assets/hooks/pre-commit
new file mode 100755
index 00000000..6ad1ca2a
--- /dev/null
+++ b/assets/hooks/pre-commit
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -euf
+if which truth2json;then
+ truth2json >/dev/null && echo "db verified"
+else
+ echo "cannot verify as truth2json is not installed"
+fi
+